package de.desy.tine.server.logger;

import de.desy.tine.client.TLinkFactory;
import de.desy.tine.dataUtils.TDataTime;

public class DbgLog
{
  private static String filter = null;
  public static void log(String source, String message)
  {
    try
    {
      String msg = "[" + source + "] " + message + " @" + 
        TDataTime.toString(System.currentTimeMillis());
      if (filter != null && !msg.contains(filter)) return;
      TLinkFactory.dbgPrint(msg);
    }
    catch (OutOfMemoryError e)
    {
      e.printStackTrace();      
    }
  }
  public static String getFilter()
  {
    return filter;
  }
  public static void setFilter(String text)
  {
    filter = text;
    TLinkFactory.dbgPrint("set filter: "+filter);
  }
}
